CREATE TABLE ase_user_b (
    USER_ID                  NUMBER        ,
    USER_GUID                VARCHAR2(256) ,
    USER_LOGIN               VARCHAR2(1020)    NOT NULL,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    DATA_SYNC_ID             NUMBER        ,
    USER_CREATION_DATE       DATE          ,
    LAST_ACTIVITY_TIME       DATE          ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    USER_ID                  NUMBER        ,
    USER_GUID                VARCHAR2(256) ,
    USER_LOGIN               VARCHAR2(1020)    NOT NULL,
    EFFECTIVE_START_DATE     DATE          ,
    EFFECTIVE_END_DATE       DATE          ,
    DATA_SYNC_ID             NUMBER        ,
    USER_CREATION_DATE       DATE          ,
    LAST_ACTIVITY_TIME       DATE          ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ase_user_b PRIMARY KEY (USER_ID, USER_ID)
);
